#include <libwccl/sentencecontext.h>

namespace Wccl {

SentenceContext::SentenceContext(const boost::shared_ptr<Corpus2::Sentence>& s)
	: sentence_(s), position_(0)
{
}

SentenceContext SentenceContext::duplicate() const
{
	SentenceContext dup(*this);
	dup.sentence_.reset(sentence_->clone());
	return dup;
}

SentenceContext* SentenceContext::clone() const
{
	return new SentenceContext(duplicate());
}

} /* end ns Wccl */
