#include <libwccl/variables.h>

namespace Wccl {

Variables::Variables()
	: map_()
{
}

void Variables::put(const std::string &name, Value *value)
{
	map_[name] = value;
}

Value* Variables::get_or_null(const std::string &name)
{
	map_t::iterator i = map_.find(name);
	if (i != map_.end()) {
		return i->second;
	} else {
		return NULL;
	}
}

const Value* Variables::get_or_null(const std::string &name) const
{
	map_t::const_iterator i = map_.find(name);
	if (i != map_.end()) {
		return i->second;
	} else {
		return NULL;
	}
}

} /* end ns Wccl */
